Detect a repository's framework
GET
/teams/{teamId}/github/repos/{owner}/{repo}/detect
const url = 'https://api.deploybase.eu/api/v1/teams/example/github/repos/example/example/detect';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/teams/example/github/repos/example/example/detectInspects the repo’s root files and package.json to guess the framework. Advisory — returns framework: null when unsure.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” teamId
required
string
Team UUID
owner
required
string
Repository owner
repo
required
string
Repository name
Query Parameters
Section titled “ Query Parameters ” ref
string
Branch, tag or SHA (defaults to the repo’s default branch)
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "data": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Forbidden
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Repository not found
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}No GitHub App connection
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}